Subject: RE: Reasons for dynamic IPv6 address allocation for DHCPv6

From: Bernie Volz <[email-masked]>
Date: Wed, 30 Aug 2000 21:29:07 -0400

See my other email (to Charlie and the mailing list) ... this actually is
likely no longer an issue ... the DHCPv6 specification addresses it well.

- Bernie

-----Original Message-----
From: Richard Johnson [mailto:[email-masked]]
Sent: Wednesday, August 30, 2000 9:21 PM
To: DHCPv6 discussion list
Subject: RE: Reasons for dynamic IPv6 address allocation for DHCPv6

Bernie Volz writes:
 > Ted:
 > 
 > Yes, the "address index" is something I had thought about as well. It
might
 > actually be the simplest. It does require a server to record one more
thing,
 > but that isn't so bad. A server can easily implement a policy that limits
 > clients to <n> addresses - reject requests when the index is greater than
 > <n> (of course, that does require clients to number them sequentially and
 > might not be wise).
 > 
 > - Bernie

Why not simply use one of the flag bits to say "this is a new
request"?  If it's not set, the server MAY reissue the same address it 
gave back last time.  If it *is* set, the server MUST either issue a
new address or reject the request.

(I'm probably missing something obvious.  :)

/raj